
public class Class255 {

   static final int anInt3021 = 1;
   public static final int anInt3022 = 2;
   static final int anInt3023 = 2;
   static final int anInt3024 = 2;
   public static final int anInt3025 = 4;
   public static final int anInt3026 = 8;
   static final int anInt3027 = 16;
   public byte[][][] aByteArrayArrayArray3028;
   public static Class434 aClass434_3029;


   public boolean method4600(int var1, int var2, int var3) {
      return var1 >= 0 && var2 >= 0 && var1 < this.aByteArrayArrayArray3028[1].length && var2 < this.aByteArrayArrayArray3028[1][var1].length?0 != (this.aByteArrayArrayArray3028[1][var1][var2] & 2):false;
   }

   public void method4601(int var1) {
      for(int var2 = 0; var2 < this.aByteArrayArrayArray3028.length; ++var2) {
         for(int var3 = 0; var3 < this.aByteArrayArrayArray3028[0].length; ++var3) {
            for(int var4 = 0; var4 < this.aByteArrayArrayArray3028[0][0].length; ++var4) {
               this.aByteArrayArrayArray3028[var2][var3][var4] = 0;
            }
         }
      }

   }

   public boolean method4602(int var1, int var2, int var3, int var4) {
      return (this.aByteArrayArrayArray3028[0][var3][var4] & 2) != 0?true:(0 != (this.aByteArrayArrayArray3028[var2][var3][var4] & 16)?false:this.method4605(var2, var3, var4, -761400775) == var1);
   }

   public boolean method4603(int var1, int var2, int var3, int var4) {
      return (this.aByteArrayArrayArray3028[0][var3][var4] & 2) != 0?true:(0 != (this.aByteArrayArrayArray3028[var2][var3][var4] & 16)?false:this.method4605(var2, var3, var4, -761400775) == var1);
   }

   public boolean method4604(int var1, int var2, int var3) {
      return var1 >= 0 && var2 >= 0 && var1 < this.aByteArrayArrayArray3028[3].length && var2 < this.aByteArrayArrayArray3028[3][var1].length?(this.aByteArrayArrayArray3028[3][var1][var2] & 2) != 0:false;
   }

   int method4605(int var1, int var2, int var3, int var4) {
      return (this.aByteArrayArrayArray3028[var1][var2][var3] & 8) != 0?0:(var1 > 0 && 0 != (this.aByteArrayArrayArray3028[1][var2][var3] & 2)?var1 - 1:var1);
   }

   public boolean method4606(int var1, int var2) {
      return var1 >= 0 && var2 >= 0 && var1 < this.aByteArrayArrayArray3028[3].length && var2 < this.aByteArrayArrayArray3028[3][var1].length?(this.aByteArrayArrayArray3028[3][var1][var2] & 2) != 0:false;
   }

   public boolean method4607(int var1, int var2) {
      return var1 >= 0 && var2 >= 0 && var1 < this.aByteArrayArrayArray3028[3].length && var2 < this.aByteArrayArrayArray3028[3][var1].length?(this.aByteArrayArrayArray3028[3][var1][var2] & 2) != 0:false;
   }

   public boolean method4608(int var1, int var2) {
      return var1 >= 0 && var2 >= 0 && var1 < this.aByteArrayArrayArray3028[3].length && var2 < this.aByteArrayArrayArray3028[3][var1].length?(this.aByteArrayArrayArray3028[3][var1][var2] & 2) != 0:false;
   }

   public boolean method4609(int var1, int var2) {
      return var1 >= 0 && var2 >= 0 && var1 < this.aByteArrayArrayArray3028[3].length && var2 < this.aByteArrayArrayArray3028[3][var1].length?(this.aByteArrayArrayArray3028[3][var1][var2] & 2) != 0:false;
   }

   public boolean method4610(int var1, int var2) {
      return var1 >= 0 && var2 >= 0 && var1 < this.aByteArrayArrayArray3028[1].length && var2 < this.aByteArrayArrayArray3028[1][var1].length?0 != (this.aByteArrayArrayArray3028[1][var1][var2] & 2):false;
   }

   public boolean method4611(int var1, int var2) {
      return var1 >= 0 && var2 >= 0 && var1 < this.aByteArrayArrayArray3028[1].length && var2 < this.aByteArrayArrayArray3028[1][var1].length?0 != (this.aByteArrayArrayArray3028[1][var1][var2] & 2):false;
   }

   public boolean method4612(int var1, int var2, int var3, int var4, int var5) {
      return (this.aByteArrayArrayArray3028[0][var3][var4] & 2) != 0?true:(0 != (this.aByteArrayArrayArray3028[var2][var3][var4] & 16)?false:this.method4605(var2, var3, var4, -761400775) == var1);
   }

   public Class255(int var1, int var2, int var3) {
      this.aByteArrayArrayArray3028 = new byte[var1][var2][var3];
   }

   int method4613(int var1, int var2, int var3) {
      return (this.aByteArrayArrayArray3028[var1][var2][var3] & 8) != 0?0:(var1 > 0 && 0 != (this.aByteArrayArrayArray3028[1][var2][var3] & 2)?var1 - 1:var1);
   }

   public boolean method4614(int var1, int var2) {
      return var1 >= 0 && var2 >= 0 && var1 < this.aByteArrayArrayArray3028[1].length && var2 < this.aByteArrayArrayArray3028[1][var1].length?0 != (this.aByteArrayArrayArray3028[1][var1][var2] & 2):false;
   }

   int method4615(int var1, int var2, int var3) {
      return (this.aByteArrayArrayArray3028[var1][var2][var3] & 8) != 0?0:(var1 > 0 && 0 != (this.aByteArrayArrayArray3028[1][var2][var3] & 2)?var1 - 1:var1);
   }

   public static Class551 method4616(RS2Buffer var0, byte var1) {
      int var2 = var0.readUnsignedByte(-700559597);
      int[] var3 = new int[var2];

      for(int var4 = 0; var4 < var2; ++var4) {
         var3[var4] = var0.readUnsignedByte(-700559597);
      }

      return new Class551(var3);
   }

   static final void method4617(Class508 var0, short var1) {
      int var2 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = var0.aClass64_5997.aByteArray607[var2];
   }
}
